%global modname lxml
%global _description \
The lxml XML toolkit is a Pythonic binding for the C libraries libxml2 and libxslt. \
It is unique in that it combines the speed and XML feature completeness of these libraries with \
the simplicity of a native Python API, mostly compatible but superior to the well-known ElementTree API. \
The latest release works with all CPython versions from 2.7 to 3.7.

Name:           python-%{modname}
Version:        4.2.3
Release:        3
Summary:        XML processing library combining libxml2/libxslt with the ElementTree API
License:        BSD
URL:            http://lxml.de
Source0:        http://lxml.de/files/%{modname}-%{version}.tgz

BuildRequires:  gcc libxml2-devel libxslt-devel

%description %{_description}

%package -n     python2-%{modname}
Summary:        %{summary}
BuildRequires:  python2-devel python2-setuptools python2-Cython
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname} %{_description}

%package -n     python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools python3-Cython
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname} %{_description}

%package_help

%prep
%autosetup -n %{modname}-%{version}

%build
export WITH_CYTHON=true
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license doc/licenses/ZopePublicLicense.txt LICENSES.txt
%{python2_sitearch}/%{modname}/
%{python2_sitearch}/*.egg-info/

%files -n python3-%{modname}
%license doc/licenses/ZopePublicLicense.txt LICENSES.txt
%{python3_sitearch}/%{modname}/
%{python3_sitearch}/*.egg-info/

%files help
%doc README.rst src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/readme.txt

%changelog
* Mon Sep 16 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.2.3-3
- Package init
